Bug 2656 - Packages.gz are broken in Chinook repository
: Packages.gz are broken in Chinook repository
Status: RESOLVED FIXED
Product: maemo.org Website
Repositories
: 4.0
: All Linux
: Medium normal (vote)
: ---
Assigned To: unassigned
: repositories@maemo.bugs
:
:
: 2620
:
  Show dependency tree
 
Reported: 2007-12-26 07:06 UTC by Gene Cash
Modified: 2008-01-15 11:06 UTC (History)
1 user (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Gene Cash (reporter) 2007-12-26 07:06:23 UTC
STEPS TO REPRODUCE THE PROBLEM:

maemo-sdk-install_4.0.sh -s /mnt/ext1/scratchbox -d -y

EXPECTED OUTCOME:

Installed ARMEL/X86 SDK targets

ACTUAL OUTCOME:

Update list of available packages
---------------------------------

Running apt-get update on 'CHINOOK_ARMEL'.
Ign file: chinook Release.gpg
Ign file: chinook Release               
Ign http://repository.maemo.org chinook Release.gpg           
Get:1 http://repository.maemo.org chinook Release [199B]
Get:2 http://repository.maemo.org chinook/free Packages [199B]
Get:3 http://repository.maemo.org chinook/non-free Packages [199B]
Get:4 http://repository.maemo.org chinook/free Sources [60.5kB]
21% [2 Packages gzip 0] [4 Sources 12385/60.5kB 20%]
gzip: stdin: not in gzip format
Err http://repository.maemo.org chinook/free Packages
  Sub-process gzip returned an error code (1)
25% [3 Packages gzip 0] [4 Sources 15217/60.5kB 25%]
gzip: stdin: not in gzip format
Err http://repository.maemo.org chinook/non-free Packages
  Sub-process gzip returned an error code (1)
Fetched 61.1kB in 3s (19.4kB/s)                     
Failed to fetch
http://repository.maemo.org/dists/chinook/free/binary-armel/Packages.gz 
Sub-process gzip returned an error code (1)
Failed to fetch
http://repository.maemo.org/dists/chinook/non-free/binary-armel/Packages.gz 
Sub-process gzip returned an error code (1)
Reading package lists... Done
E: Some index files failed to download, they have been ignored, or old ones
used instead.
E: Unable to run 'apt-get update' on the target.
E: Please correct any network problems.
E: Scratchbox login returned error 100.

The installation process was unable to run 'apt-get update' inside
the installed targets in order to update the local package database.
This could be due to an error in network configuration inside scratchbox.
Common causes are incorrect proxy       settings and the 'hosts' line in
/mnt/ext1/scratchbox/etc/nsswitch.conf.
For the 'hosts' line in /scratchbox/etc/nsswitch.conf the following
should usually be enough:
hosts:          files dns

Once network issues have been resolved, you should run the installer again.

REPRODUCIBILITY:
(always/sometimes/once)

Always. Since 24-DEC-2007

EXTRA SOFTWARE INSTALLED:

OTHER COMMENTS:
Comment 1 tuukka.tolvanen nokia 2007-12-26 17:48:18 UTC
try again after bug 2620 is resolved.
Comment 2 Marcell Lengyel maemo.org 2008-01-15 11:06:14 UTC
It works now, so I am changing this to fixed.